# ConnectPOS for WooCommerce Plugin

## About
[![Version 22.05.17](https://img.shields.io/badge/Version-22.05.17-1fa69d.svg)](https://github.com/devconnectpos/connectpos-woocommerce/releases/tag/22.05.17)

> [ConnectPOS](https://www.connectpos.com/) is a Point of Sale (POS) tailor-made for WooCommerce users. 
> With the POS system, retailers can enjoy a seamless omnichannel experience with ConnectPOS. 
> As the leading Point-of-Sale system for WooCommerce retailers, 
> the [ConnectPOS POS plugin for WooCommerce](https://www.connectpos.com/woocommerce-pos) instantly updates products, 
> orders, and inventory between online and offline platforms.

## Features
- ConnectPOS POS integration is compatible with both PC and mobile devices (PC POS, Android POS, and iOS POS).
- ConnectPOS ensures 100% real-time synchronization between the POS system and WooCommerce.
- Synced data includes products, orders, customers, tax info, and other settings.
- The POS WooCommerce plugin accepts multiple payment methods: Cash, Credit cards, Gift cards, or Store Credit
- ConnectPOS POS integration has limitless customization capabilities: payment gateways, loyalty and engagement platform, ERP and inventory management system, etc.
- ConnectPOS supports managing multiple locations right within the app
- No additional transaction fee required when using the ConnectPOS POS system

## System Requirement
- Required minimum PHP: 5.4.0
- Tested minimum PHP: 5.8.3
- Required PHP: 7.0
- License: GPLv2 or later
- License URI: http://www.gnu.org/licenses/gpl-2.0.html

## Release Check List
- [ ] Update version number in `connectpos.php`, `readme.txt` and `README.md`
- [ ] Update changes log in `readme.txt` and `CHANGELOG.md`
- [ ] Commit changes with message `Release {version}`
- [ ] Create new tag for release version.
- [ ] Push new tag to Github.
- [ ] Download release source code to local PC.
- [ ] In WordPress SVN, update resource source code to `trunk` directory.
- [ ] In WordPress SVN, create new release version folder in `tags` directory.
- [ ] In WordPress SVN, add changes and commit to WordPress SVN.

## More Information
- ConnectPOS WooCommerce SVN: `https://plugins.svn.wordpress.org/connectpos-pos-system-for-woocommerce`
- [ConnectPOS website](https://www.connectpos.com/)
- [ConnectPOS WooCommerce POS features](https://www.connectpos.com/woocommerce-pos-features/)
- [ConnectPOS WooCommerce POS pricing](https://www.connectpos.com/woocommerce-pos-pricing/)