<?php
/**
 * Description: ConnectPOS Integration with WooCommerce Customer.
 * Author: ConnectPOS
 *
 * @package ConnectPOS\Integration
 */

namespace ConnectPOS\Integration;

use WP_REST_Request;
use WP_REST_SERVER;
use WC_REST_Authentication;

/**
 * Class Cpos_Customer
 * @package ConnectPOS\Integration
 */
class Cpos_Customer {

    /**
     * CposOrder constructor.
     *
     * @return void
     */
    public function __construct() {
        add_action( 'rest_api_init', function () {
            register_rest_route( 'wc/v3', 'customers-count', [
                'methods'             => WP_REST_SERVER::READABLE,
                'callback'            => [ $this, 'cpc_get_customer_total_count' ],
                'permission_callback' => '__return_true',
            ] );
            new WC_REST_Authentication();
        } );
    }

    /**
     * @param WP_REST_Request $data
     *
     * @return int[]
     */
    public function cpc_get_customer_total_count( WP_REST_Request $data ) {
        $response          = [ 'count' => 0 ];
        $query             = new \WP_User_Query( [ 'fields' => 'ID', 'role' => 'customer', ] );
        $response['count'] = $query->get_total();

        return $response;
    }
}