<?php
/**
 * Description: ConnectPOS Integration with WordPress.
 * Author: ConnectPOS
 *
 * @package ConnectPOS\Integration
 */

namespace ConnectPOS\Integration;

use WC_REST_Authentication;
use WP_REST_Server;

/**
 * Class Cpos_WordPress
 * @package ConnectPOS\Integration
 */
class Cpos_WordPress {

    /**
     * WordPress constructor.
     *
     * @return void
     */
    public function __construct() {
        add_action( 'rest_api_init', function () {
            register_rest_route( 'wc/v3', 'timezone', array(
                'methods'             => WP_REST_SERVER::READABLE,
                'callback'            => array( $this, 'cpwp_get_current_timezone' ),
                'permission_callback' => '__return_true',
            ) );
            new WC_REST_Authentication();
        } );
    }

    /**
     * @return array
     */
    public function cpwp_get_current_timezone() {
        return array( 'timezone' => wp_timezone_string() );
    }
}